<!-- 
    1. Среди трех чисел найти среднее арифметическое. Если среди чисел есть равные, вывести сообщение "Ошибка". Числа принять от пользователя.


    2. Построить прямоугольный треугольник состоящий из символа "*".

    3. Определить какое из трех, введенных пользователем, чисел максимальное и вывести его на экран.

    4. Дано два числа A и B где (A<B). 
    Выведите на экран суму всех чисел расположенных в числовом промежутке от А до В. 
    Выведите на экран все нечетные значения, расположенные в числовом промежутке от А до В. 


    5. Вывести на экран ряд чисел Фибоначчи, состоящий из n элементов (n принять от пользователя).
       Числа Фибоначчи – это элементы числовой последовательности, в которой каждое последующее число равно сумме двух предыдущих.

    6. Вывести на экран таблицу умножения от 0 до 9.   

//1. Среди трех чисел найти среднее арифметическое. Если среди чисел есть равные, вывести сообщение "Ошибка". Числа принять от пользователя.-->

<!DOCTYPE html>
<html lang="en">
<head>
   <meta charset="UTF-8">
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <title>Document</title>
  
</head>
<script>
   //1. Среди трех чисел найти среднее арифметическое. Если среди чисел есть равные, вывести сообщение "Ошибка". Числа принять от пользователя
var a = +prompt("Input first number");
var b = +prompt("Input second number");
var c = +prompt("Input third number");
var average = 0;

if (a != b && b!=c && c!=a){
average = (a+b+c)/3;
document.write("Avarage is " + average + `</br>`);
}else{
    document.write(`Error` + `</br>`);
};

// // 2. Построить прямоугольный треугольник состоящий из символа "*".
var a = +prompt("Input triangle height");
//var empty = " ";
for (i= 0; i <= a ; i++) {
   for(j= 0; j <= i; j++){
     document.write ('*')
}
document.write ('<br>');
};

// //3.Определить какое из трех, введенных пользователем, чисел максимальное и вывести его на экран.
var a = +prompt("Input first number");
var b = +prompt("Input second number");
var c = +prompt("Input third number");
var max = 0;
if (b < a && c < a ){
   max = a;
} else if (c < b && a < b ){
   max = b;
} else {
   max = c;
}
document.write(`Max number is ${max}` + `</br>`  );

//4. Дано два числа A и B где (A<B). 
//Выведите на экран суму всех чисел расположенных в числовом промежутке от А до В. 
//Выведите на экран все нечетные значения, расположенные в числовом промежутке от А до В. 

var a = +prompt("Input number A");
var b = +prompt("Input number B");
var sum = 0;
var odd = " ";

if (a > b){
   document.write ("Wrong numbers, A should be less then B" + `</br>`);
}else {
   for(i = a; i <= b; i++){
   if(i % 2 != 0){
      odd += i + " ";  
   }  
   sum += i;
}
document.write(`${odd} ` + `</br>`);
document.write(`Sum of numbers is ${sum}` + `</br>` );

};


//5.Вывести на экран ряд чисел Фибоначчи, состоящий из n элементов (n принять от пользователя).
//Числа Фибоначчи – это элементы числовой последовательности, в которой каждое последующее число равно сумме двух предыдущих.

var a = +prompt("Input Fibonachi length");
var firstNumber = 0;
var secondNumber = 1;
var f = 0;
for (i = 0; i <= a; i++) {
f = firstNumber + secondNumber;
firstNumber = secondNumber;
secondNumber = f;
document.write(`${firstNumber}  ` );
}
document.write(`</br>`);


//6. Вывести на экран таблицу умножения от 0 до 9.  
for (var i= 0; i <= 9; i++) {
   for (var j= 0; j <= 9; j++){
      document.write (i + "*" + j + "=" + i*j + `</br>` );
   }
  
};

</script>

<body>
   
</body>
</html>
